﻿$ErrorActionPreference = 'Stop';

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    UnzipLocation  = "$(Get-ToolsLocation)"
    url            = 'https://github.com/AdguardTeam/AdGuardHome/releases/download/v0.106.3/AdGuardHome_windows_386.zip'
    url64          = 'https://github.com/AdguardTeam/AdGuardHome/releases/download/v0.106.3/AdGuardHome_windows_amd64.zip'
    checksum       = '5007a2a7174dde23ce71f2d37a7de5e067fb46f8f841c7a5e53247f88bd586f8'
    checksum64     = '29cf1672e0ceff6a900044061e04262ee946f8dd4304477e3e3482320f9405c7'
    checksumtype   = 'sha256'
    checksumtype64 = $checksumtype
}

$service = Get-Service -DisplayName "AdGuard Home service" -ErrorAction SilentlyContinue

if ($service.Length -gt 0) {
    $service | Stop-Service
}

Install-ChocolateyZipPackage @packageArgs
Install-BinFile -Name 'adguardhome' -Path "$(Get-ToolsLocation)\\AdGuardHome\\AdGuardHome.exe"

$service | Start-Service -ErrorAction SilentlyContinue
